#!/bin/bash -e

config="git --git-dir $HOME/.dotfiles --work-tree $HOME"
repo='https://git.maby.dev/ange/.dotfiles.git'

if [ "$EUID" = 0 ]; then
    echo 'You are currently logged in as root. Continue?'
    read -r
fi

git clone --bare "$repo" "$HOME/.dotfiles"

while ! $config checkout; do
    echo 'Please remove conflicted files and press enter:'
    read -r
done

$config submodule update --init --recursive --remote
$config config status.showUntrackedFiles no
